Bug 154352 - [patch] multimedia/xmms: update using desktop and mime utils
Summary: [patch] multimedia/xmms: update using desktop and mime utils
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 09:00 UTC by Boris Samorodov
Modified: 2013-03-25 08:20 UTC (History)
0 users

See Also:


Attachments
xmms.diff (2.22 KB, patch)
2011-01-28 09:00 UTC, Boris Samorodov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2011-01-28 09:00:18 UTC
	1. Currently the port does not use existing infrastructure to
	deal with files/*.in files (no need to copy *.in files to
	WRKSRC since they are autocopyed to WRKSRC).
	2. Currently the port does not use desktop and
	mime utils to register/unregister apropriate databases.

Fix: . use current ports infrastructure to deal with files/*.in;
	. let's use special tools to auto register/unregister
	desktop entries and mime types for ports and packages;
	. bump PORTREVISION.
Comment 1 Edwin Groothuis freebsd_committer 2011-01-28 09:00:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Boris B.Samorodov 2011-01-28 12:15:03 UTC
Hm, shared mime database is not used. The correct patch is:
-----
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/xmms/Makefile,v
retrieving revision 1.116
diff -u -r1.116 Makefile
--- Makefile	22 Jan 2011 01:22:16 -0000	1.116
+++ Makefile	28 Jan 2011 12:12:13 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	xmms
 PORTVERSION=	1.2.11
-PORTREVISION=	14
+PORTREVISION=	15
 CATEGORIES+=	multimedia audio ipv6
 MASTER_SITES=	http://www.xmms.org/files/1.2.x/ \
 		LOCAL/beech
@@ -18,7 +18,7 @@
 
 USE_BZIP2=	yes
 USE_GL=		gl
-USE_GNOME=	gtk12 gnomehack
+USE_GNOME=	desktopfileutils gtk12 gnomehack
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
 USE_ICONV=	yes
@@ -159,7 +159,6 @@
 .if ${HAVE_GNOME:Mesound}==""
 	${REINPLACE_CMD} -e '/AM_PATH_ESD/,/have_esd=no/d' ${WRKSRC}/configure.in
 .endif
-	@${CP} ${FILESDIR}/xmms.desktop.in ${WRKSRC}/xmms.desktop
 
 post-configure:
 	@${FIND} ${WRKSRC} -name Makefile | \
@@ -168,7 +167,8 @@
 post-install:
 	@${INSTALL} -d ${PREFIX}/share/xmms/Skins
 	@${INSTALL} -d ${PREFIX}/share/applications
-	@${INSTALL_DATA} ${WRKSRC}/xmms.desktop ${PREFIX}/share/applications/
+	@${INSTALL_DATA} ${WRKDIR}/xmms.desktop ${PREFIX}/share/applications/
+	-update-desktop-database
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/multimedia/xmms/pkg-plist,v
retrieving revision 1.29
diff -u -r1.29 pkg-plist
--- pkg-plist	2 Dec 2008 21:15:32 -0000	1.29
+++ pkg-plist	28 Jan 2011 12:12:13 -0000
@@ -98,3 +98,5 @@
 @dirrm include/xmms
 @exec mkdir -p %D/share/xmms/Skins
 @unexec echo "If you are permanently removing xmms, do not forget to remove skin files left under %D/share/xmms/Skins. Use \`\`rm -Rf %D/share/xmms/Skins; rmdir %D/share/xmms''" | fmt
+@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
-----

-- 
WBR, Boris Samorodov (bsam)
Research Engineer, http://www.ipt.ru Telephone & Internet SP
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 3 Thomas Abthorpe freebsd_committer 2011-11-05 03:42:18 UTC
Responsible Changed
From-To: stas->tabthorpe

- back to the heap
Comment 4 Thomas Abthorpe freebsd_committer 2011-11-09 18:59:00 UTC
Responsible Changed
From-To: tabthorpe->freebsd-ports-bugs

Really give back to the heap
Comment 5 Michael Scheidell freebsd_committer 2011-12-21 13:20:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Reassign to bsam
Comment 6 Philip M. Gollucci freebsd_committer 2012-02-12 00:02:14 UTC
Responsible Changed
From-To: bsam->pgollucci

maintainer timeout (bsam ; 53 days) / last commit 24 days ago
Comment 7 Chris Petrik 2012-09-30 05:49:14 UTC
I requested maintainer for xmms and I will see if this patch works?
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2012-10-11 22:52:24 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

With bugmeister hat, return to pool.
Comment 9 Martin Wilke freebsd_committer 2013-02-08 02:32:10 UTC
State Changed
From-To: open->closed

feedback timeout
Comment 10 Boris Samorodov freebsd_committer 2013-02-09 06:39:14 UTC
State Changed
From-To: closed->open

The PR was closed accidentally.
Comment 11 Boris Samorodov freebsd_committer 2013-02-09 07:24:02 UTC
State Changed
From-To: open->feedback

The port was handed to a new volunteer. Petrik, please, 
approve/disapprove the patch and/or give a new one. Thanks!
Comment 12 Chris Petrik 2013-03-25 07:02:02 UTC
approved.
Comment 13 dfilter service freebsd_committer 2013-03-25 08:19:21 UTC
Author: bsam
Date: Mon Mar 25 08:19:08 2013
New Revision: 315201
URL: http://svnweb.freebsd.org/changeset/ports/315201

Log:
  . make use of the ports infrastructure to create the desktop file;
  . update the desktop file database at install/deinstall time.
  
  PR:		ports/154352
  Submitted by:	bsam (me)
  Approved by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer)

Modified:
  head/multimedia/xmms/Makefile
  head/multimedia/xmms/pkg-plist

Modified: head/multimedia/xmms/Makefile
==============================================================================
--- head/multimedia/xmms/Makefile	Mon Mar 25 08:02:47 2013	(r315200)
+++ head/multimedia/xmms/Makefile	Mon Mar 25 08:19:08 2013	(r315201)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmms
 PORTVERSION=	1.2.11
-PORTREVISION=	17
+PORTREVISION=	18
 CATEGORIES+=	multimedia audio ipv6
 MASTER_SITES=	http://www.xmms.org/files/1.2.x/ \
 		http://legacy.xmms2.org/ \
@@ -15,7 +15,7 @@ COMMENT?=	X Multimedia System -- An audi
 
 USE_BZIP2=	yes
 USE_GL=		gl
-USE_GNOME=	gtk12 gnomehack
+USE_GNOME=	desktopfileutils gtk12 gnomehack
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
 USE_ICONV=	yes
@@ -155,7 +155,6 @@ post-patch:
 .if ${HAVE_GNOME:Mesound}==""
 	${REINPLACE_CMD} -e '/AM_PATH_ESD/,/have_esd=no/d' ${WRKSRC}/configure.in
 .endif
-	@${CP} ${FILESDIR}/xmms.desktop.in ${WRKSRC}/xmms.desktop
 
 post-configure:
 	@${FIND} ${WRKSRC} -name Makefile | \
@@ -164,7 +163,8 @@ post-configure:
 post-install:
 	@${INSTALL} -d ${PREFIX}/share/xmms/Skins
 	@${INSTALL} -d ${PREFIX}/share/applications
-	@${INSTALL_DATA} ${WRKSRC}/xmms.desktop ${PREFIX}/share/applications/
+	@${INSTALL_DATA} ${WRKDIR}/xmms.desktop ${PREFIX}/share/applications/
+	-update-desktop-database
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>

Modified: head/multimedia/xmms/pkg-plist
==============================================================================
--- head/multimedia/xmms/pkg-plist	Mon Mar 25 08:02:47 2013	(r315200)
+++ head/multimedia/xmms/pkg-plist	Mon Mar 25 08:19:08 2013	(r315201)
@@ -98,3 +98,5 @@ share/locale/zh_TW/LC_MESSAGES/xmms.mo
 @dirrm include/xmms
 @exec mkdir -p %D/share/xmms/Skins
 @unexec echo "If you are permanently removing xmms, do not forget to remove skin files left under %D/share/xmms/Skins. Use \`\`rm -Rf %D/share/xmms/Skins; rmdir %D/share/xmms''" | fmt
+@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 14 Boris Samorodov freebsd_committer 2013-03-25 08:20:01 UTC
State Changed
From-To: feedback->closed

Committed, thanks! ;-)